// Additional shaders for the QL version of m15 Solitude by Hipshot, mostly taken from m8 Rustgrad

textures/hipshot_m15/ql/tele
{
	qer_editorimage textures/hipshot_m8/tele.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_surfacelight 100
	q3map_backSplash 10 25	
	{
		map textures/hipshot_m15/ql/tele_scan.jpg
		blendfunc add		
		rgbGen identity
		tcMod Scroll 0 -1
	}		
	{
		map textures/hipshot_m15/ql/tele_scan2.jpg
		blendfunc add		
		rgbGen identity
		tcMod Scroll 0 -0.35
		rgbGen wave sin .8 .2 0 1		
	}			
	{
		map textures/hipshot_m15/ql/tele.jpg
		blendfunc add		
		rgbGen identity
		rgbGen wave sin .8 .2 0 1
	}
}

textures/hipshot_m15/ql/teleglow
{
	qer_editorimage textures/hipshot_m8/ed/teleglow.jpg
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid	
	surfaceparm nomarks
	cull disable
	{
		map textures/hipshot_m15/ql/teleglow.jpg
		blendfunc add
		rgbGen identity
		rgbGen wave sin .8 .2 0 1		
	}
}

textures/hipshot_m15/ql/ivy_5
{
	qer_editorimage textures/hipshot_m8/ivy_5.tga
	qer_alphafunc greater 0.5
	q3map_shadeangle 90
	//surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
   noPicMip	
	cull none 	
	{
		map textures/hipshot_m15/ql/ivy_5.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/hipshot_m15/ql/waterplant_1
{
	qer_alphafunc greater 0.5
	//surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	cull none 
	deformVertexes bulge 128 1 2		
	{
		map textures/hipshot_m15/ql/waterplant_1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/hipshot_m15/ql/waterplant_2
{
	qer_alphafunc greater 0.5
	//surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	cull none 
	deformVertexes bulge 128 1 2		
	{
		map textures/hipshot_m15/ql/waterplant_2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/hipshot_m15/ql/rain_mark_1
{
	qer_editorimage textures/hipshot_m14/ed/red.jpg
	q3map_lightimage textures/hipshot_m15/ql/rain_mark.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	polygonOffset	
	surfaceparm trans
	surfaceparm nonsolid
	{
		clampmap textures/hipshot_m15/ql/rain_mark.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
                	tcmod rotate 100
		tcMod stretch sin .5 .4 0 2
		rgbGen wave sin 0 1 .2 2
	}
}

textures/hipshot_m15/ql/rain_mark_2
{
	qer_editorimage textures/hipshot_m14/ed/blue.jpg
	q3map_lightimage textures/hipshot_m15/ql/rain_mark.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	polygonOffset	
	surfaceparm trans
	surfaceparm nonsolid
	{
		clampmap textures/hipshot_m15/ql/rain_mark.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
                	tcmod rotate 100
		tcMod stretch sin .5 .4 .4 2
		rgbGen wave sin 0 1 .6 2
	}
}

textures/hipshot_m15/ql/rain_mark_3
{
	qer_editorimage textures/hipshot_m14/ed/green.jpg
	q3map_lightimage textures/hipshot_m15/ql/rain_mark.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	polygonOffset	
	surfaceparm trans
	surfaceparm nonsolid
	{
		clampmap textures/hipshot_m15/ql/rain_mark.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
                	tcmod rotate 100
		tcMod stretch sin .5 .4 .8 2
		rgbGen wave sin 0 1 1 2
	}
}

textures/hipshot_m15/ql/rain_mark_4
{
	qer_editorimage textures/hipshot_m14/ed/yellow.jpg
	q3map_lightimage textures/hipshot_m15/ql/rain_mark.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	polygonOffset	
	surfaceparm trans
	surfaceparm nonsolid
	{
		clampmap textures/hipshot_m15/ql/rain_mark.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen vertex
                	tcmod rotate 100
		tcMod stretch sin .5 .4 1.2 2
		rgbGen wave sin 0 1 1.4 2
	}
}

textures/hipshot_m15/ql/rain
	{
	qer_editorimage textures/hipshot_m11/ed/particles.jpg
	surfaceparm trans   
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip
	noMipMaps	 
	qer_trans .5
	cull none
	deformVertexes bulge 64 8 2   
	{
		map textures/hipshot_m15/ql/particles.tga
		//blendFunc GL_SRC_ALPHA GL_ONE
		blendFunc add		
		//rgbGen vertex		
		rgbgen identitylighting		
		tcMod Scroll 0 -5
	}
}

textures/hipshot_m15/ql/rain2
	{
	qer_editorimage textures/hipshot_m11/ed/particles2.jpg
	surfaceparm trans   
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip
	noMipMaps	 
	qer_trans .5
	cull none
	deformVertexes bulge 64 8 2   
	{
		map textures/hipshot_m15/ql/particles2.tga
		//blendFunc GL_SRC_ALPHA GL_ONE
		blendFunc add
		//rgbGen vertex
		rgbgen identitylighting			
		tcMod Scroll -0.03 -4
	}
}